Subject: Re: u/g in general [was Mail from softwire working group about 4rd

From: Ran Atkinson <[email-masked]>
Date: Wed, 12 Dec 2012 11:23:06 -0500

On Weds 12th December, Remi Despres wrote, in part:
> Not sure however that the two proposed questions 
> are clear enough because today:
> - some IIDs have u = 0, and some have u = 1,
> - some IIDs have g = 0, and some have g = 1. 
> The only combination that isn't used is u=g=1.

While U==G==1 is not *widely deployed* today,
it does have a very clear definition, namely:

	(U==1 && G==1) defines a global-scope 
	multicast identifier.

This is clear not only from a plain-language
reading of RFC-4291, Section 2.5.1, but also 
from the IEEE 802 definition of an EUI-64.

Further, an IID formed by algorithmically translating
an IEEE 802 MAC Address (e.g. using RFC-4291,
Appendix A), whether using a unicast or multicast
MAC address, is a widely deployed example of an
"interface identifier with universal scope".

Yours,

Ran

---

From: Rémi Després <[email-masked]>
Date: Wed, 12 Dec 2012 18:21:15 +0100

> While U==G==1 is not *widely deployed* today,

My point was only about IIDs of UNICAST addresses, those in scope of RFC 4291.
Do you know any deployment with u=g=1 in this context ?  

RD

> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------

---

From: Ran Atkinson <[email-masked]>
Date: Wed, 12 Dec 2012 12:26:43 -0500

> Do you know any deployment with u=g=1 in this context ?  

There is limited use today of IPv6 addresses that have
apparent unicast routing prefixes, but contain multicast
group IDs in the low-order 64-bits ("IID").

Yours,

Ran

---

From: Alexandru Petrescu <[email-masked]>
Date: Wed, 12 Dec 2012 18:55:46 +0100

Le 12/12/2012 18:26, Ran Atkinson a écrit :
> There is limited use today of IPv6 addresses that have apparent
> unicast routing prefixes, but contain multicast group IDs in the
> low-order 64-bits ("IID").

Interesting to know, thanks.

But, this wouldn't make the ug(ly) bits mandatory in unicast, would it.

In addition, together with the ug bits, the 64bit fixed length of the
IID (regardless of Ethernet) is another factor posing problems to
deployments (e.g. ISP delivering /64 to end user, and end-user doing
non-natural things like duplicating same address on two interfaces, or
alternatively hopelessly waiting of DHCPv6-PD deployment on otherwise
IPv6 ptp cellular links available now).

If the ug bits didnt exist, and if the 64bit IID length were not fixed,
then we could have happy ISPs delivering /64 on ptp links that end user
would naturally split ('subnet') into /65 and longer without wait, and
without need of DHCPv6 on these /65 links (i.e. use RA SLAAC with /65 on
Ethernet).

YOurs,

Alex

> IETF IPv6 working group mailing list [email-masked] Administrative
> Requests: https://www.ietf.org/mailman/listinfo/ipv6

---

From: Rémi Després <[email-masked]>
Date: Thu, 13 Dec 2012 11:48:59 +0100

> group IDs in the low-order 64-bits ("IID").

Is this in the context of ILNP?
If yes, could you point to a particular point of the specification?

Thanks,
RD